CREATE TABLE PROM
(
    PROMENAID   INTEGER NOT NULL,
    VRSTANAL    SMALLINT NOT NULL,
    BRNALOGA    VARCHAR(15) NOT NULL,
    DATNAL      DATE NOT NULL,
    KONTO       VARCHAR(10) NOT NULL,
    OPIS        VARCHAR(50),
    PPID        INTEGER,
    BRDOK       INTEGER,
    VRDOK       SMALLINT,
    DATDPO      DATE,
    DUGUJE      NUMERIC(15,2),
    POTRAZUJE   NUMERIC(15,2),
    DATVAL      DATE,
    VDUGUJE     NUMERIC(15,2),
    VPOTRAZUJE  NUMERIC(15,2),
    VALUTA      VARCHAR(3),
    KURS        NUMERIC(15,4) NOT NULL,
    MTID        VARCHAR(10),
    A           SMALLINT DEFAULT 0,
    STAVKAID    INTEGER
);
ALTER TABLE PROM ADD CONSTRAINT PROMPRIMARYKEY PRIMARY KEY (PROMENAID);
